#ui-panel {
    position: fixed;
    width: 98vw;
    width: 98dvw;
    left: 1dvw;
    top: 10px;
    z-index: 100;
    background: rgba(20, 20, 20, 0.9);
    padding: 8px 12px;
    border-radius: 6px;
    display: grid;
    grid-template-columns: 2fr 2fr 3fr; /* Центр в 3 раза шире боков */
    gap: 10px;
    border: 1px solid #333;
}




#ui-panel .center button,
#ui-panel .right button{
    background: #2a2a2a;
    color: #fff;
    border: 1px solid #444;
    padding: 6px 12px;
    cursor: pointer;
    border-radius: 4px;
}



#ui-panel .left button{
    background: #2a2a2a;
    color: #fff;
    border: 1px solid #444;
    padding: 6px 12px;
    cursor: pointer;
    border-radius: 4px;
}


#ui-panel .left{
    justify-self: start; /* Работает только в display: grid */
}
#ui-panel .center{
    flex: 1;
    justify-self: center; /* Работает только в display: grid */
}
#ui-panel .right{
    justify-self: end; /* Работает только в display: grid */
}

#ui-panel .bottom{
    display: flex;
    grid-column: 1 / -1;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    align-items: stretch;
    justify-content: center;
    grid-column: 1 / -1; /* Растянуть от первой до последней направляющей (все 3 колонки) */
}
#ui-panel .bottom button{
    background: rgb(120, 0, 232);
    border: 1px solid rgb(120, 0, 145);
    color: #fff;
    cursor: pointer;
}
#ui-panel .bottom button:hover{
    background: rgb(169, 78, 255);
}

#teleporters .right{
    padding: 6px 0 6px 12px;
    margin-right: -1px;
    margin-left: 3px;
    border-right: none !important;
    border-radius: 20px 0 0 20px;
}
#teleporters .left{
    padding: 6px 12px 6px 0;
    margin-left: -1px;
    margin-right: 3px;
    border-left: none !important;
    border-radius: 0 20px 20px 0;
}

#ui-panel .left .grey{
    border-color: #858585; 
    color: #919191;
}
#ui-panel .left .red{
    border-color: #ffa1a7; 
    color: #ff769c;
}
#ui-panel .left .blue{
    border-color: #2d77ff; 
    color: #2e96ff;
}
#ui-panel .left .green{
    border-color: #00d111; 
    color: #40ef00;
}
#ui-panel .left .orange{
    border-color: #ffaa00; 
    color: #ffaa00;
}
#ui-panel .left .yellow{
    border-color: #ffd700; 
    color: #ffd700;
}

#ui-panel .center .green{
    color: #00ff88; 
    font-family: monospace; 
    font-size: 12px;
}
